SAVE = true;

integration_time_1 = 35552.03636; % to be extracted from the analysis 
integration_time_2 = 35997.407272;
num_of_extra_pulses= 10;
file = ['overall_stokesphase_0antistokes_phase0.csv'];
data = readtable(file);
coincidences = data.coincidences/(integration_time_1/3600);
accidentals = data.accidentals_per_trials/(integration_time_1/3600);
error_coincidences = sqrt(data.coincidences)/(integration_time_1/3600);
error_accidentals = sqrt(data.accidentals_per_trials)/(num_of_extra_pulses*integration_time_1/3600);
g2 = data.g2s;
errg2 = data.error_g2s;

file = ['overall_stokesphase_180antistokes_phase0.csv'];
data = readtable(file);
coincidences_destructive = data.coincidences/(integration_time_2/3600);
accidentals_destructive = data.accidentals_per_trials/(integration_time_2/3600);
error_coincidences_destructive = sqrt(data.coincidences)/(integration_time_2/3600);
error_accidentals_destructive = sqrt(data.accidentals_per_trials)/(num_of_extra_pulses*integration_time_2/3600);
g2_destructive = data.g2s;
errg2_destructive = data.error_g2s;

time = data.time;
close all
ifig1 = figure(1);
% figure options:
mks = 10; %marker size
mlw = 2; %marker linewidth
afs = 24; %label font size
lfs = 26; %label font size
lfn = 'Times New Roman'; %axis fontname
alw = 1.5; %axis linewidth
tickl=[0.015 0.015]; %ticks linewidth
fig_size = [50 50 800 800];
lwd_error = 1.5;
lw = 3; %fit linewidth
    set(ifig1,'Units', 'pixel','Position', fig_size);
    axes('Position',[0 0 1 1],'Visible','off');
    ax1 = axes('Color','w',...
          'FontSize', afs,'fontname',lfn, 'LineWidth', alw,...
          'TickLength',tickl,...
          'XMinorTick','on',...
          'NextPlot','add');
hold on; 
box on;
refpulsecolor = [195 48 4]/255;
slowpulsecolor = [254 133 47]/255;
leakedpulsecolor = [191 191 191]/255;
barcolor1 = [195 48 4]/255;
noisecolor1 = [254 133 47]/255;

p1_color = [66,134,244]/255;
p2_color = [195 48 4]/255;
p3_color = [12 33 66]/255;
fig_size = [50 50 800 800];

b1 = bar(time,coincidences,'FaceColor',barcolor1,'EdgeColor','k','displayname',['\Phi_S = 0' char(176) ', \Phi_{AS}=0' char(176)]);
h1 = errorbar(time,coincidences,error_coincidences,'.');
b2 = bar(time,coincidences_destructive,'FaceColor',leakedpulsecolor,...
    'EdgeColor','k','displayname',['\Phi_S = 0' char(176) ', \Phi_{AS}=180' char(176)]);
b2.FaceAlpha = 0.8
h2 = errorbar(time,coincidences_destructive,error_coincidences_destructive,'.');
b3 = errorbar(time,accidentals,error_accidentals,'color','k','linestyle','-','linewidth',lw,'displayname','C^{(a)}_{S,AS}');



set(h1,'color','k','linewidth',lwd_error)
set(h2,'color','k','linewidth',lwd_error)
xlim([3 18])
% ylim([0 60])
xlabel('T_S + T_{AS} (\mus)','fontsize',lfs, 'fontname', lfn)
ylabel('C_{S,AS}','fontsize',lfs, 'fontname', lfn)
% alpha(1)
set(gcf,'color','white')
set(gcf,'PaperPositionMode','auto')
l1 = legend([b1 b2 b3]);
set(l1,'orientation','vertical','location','best')
%if SAVE
%    ssfig('coincidences_interference_600ns')
%end

ifig1 = figure(3);
% figure options:
mks = 10; %marker size
mlw = 2; %marker linewidth
afs = 24; %label font size
lfs = 26; %label font size
lfn = 'Times New Roman'; %axis fontname
alw = 1.5; %axis linewidth
tickl=[0.015 0.015]; %ticks linewidth
lw = 3; %fit linewidth
    set(ifig1,'Units', 'pixel','Position', fig_size);
    axes('Position',[0 0 1 1],'Visible','off');
    ax1 = axes('Color','w',...
          'FontSize', afs,'fontname',lfn, 'LineWidth', alw,...
          'TickLength',tickl,...
          'XMinorTick','on',...
          'NextPlot','add');
hold on; 
box on;
refpulsecolor = [195 48 4]/255;
slowpulsecolor = [254 133 47]/255;
leakedpulsecolor = [191 191 191]/255;
barcolor1 = [195 48 4]/255;
noisecolor1 = [254 133 47]/255;

p1_color = [66,134,244]/255;
p2_color = [195 48 4]/255;
p3_color = [12 33 66]/255;
fig_size = [50 50 800 800];

b1 = bar(time,g2,'FaceColor',barcolor1,'EdgeColor','k','displayname',['\Phi_S = 0' char(176) ', \Phi_{AS}=0' char(176)]);
h1 = errorbar(time,g2,errg2,'.');
b2 = bar(time,g2_destructive,'FaceColor',leakedpulsecolor,'EdgeColor','k','displayname',['\Phi_S = 0' char(176) ', \Phi_{AS}=180' char(176)]);
% b3 = plot(time,accidentals,'color','k','linestyle','-','linewidth',lw,'displayname','C^{(a)}_{S,AS}');
b2.FaceAlpha = 0.8

h2 = errorbar(time,g2_destructive,errg2_destructive,'.');
set(h1,'color','k','linewidth',lwd_error)
set(h2,'color','k','linewidth',lwd_error)
xlim([4 18])
ylim([0 10])
xlabel('T_S + T_{AS} (\mus)','fontsize',lfs, 'fontname', lfn)
ylabel('g^{(2)}_{S,AS}','fontsize',lfs, 'fontname', lfn)
% alpha(1)
set(gcf,'color','white')
l1 = legend([b1 b2]);
set(l1,'orientation','vertical','location','northwest')
set(gcf,'PaperPositionMode','auto')
%if SAVE
%    ssfig('g2_interference_600ns')
%end


