function merging_results(SAVE_coincidence_fringes_pic, SAVE_g2_fringes_pic)
% clear all

switch nargin
    case 0
        SAVE_coincidence_fringes_pic = false;
        SAVE_g2_fringes_pic = false;
    case 1
        SAVE_g2_fringes_pic = false;
end
%%
% time = tstart:timebin:30;
% 
% coinc = hist(sCoin,time);
% coinn = hist(nCoin,time);
% 
% g2s = coinc./(coinn/numofsp);
% eg2s = g2s.*sqrt(1./coinc + 1./coinn);
% errorbar(time,g2s,eg2s)

file = './data_summary_20181128.xlsx';
phase1 = [-180 -135 -90 -45 0 45 90 135 180]';
count1 = phase1*0;
noise1 = count1;
time1 = count1;

phase2 = [-180 -90 -45 0 45 90 135 180 -135 270]';
count2 = phase2*0;
noise2 = count2;
time2 = count2;

dataSheet = {'march9','February15','April13','April16'};

for i=1:length(dataSheet)
    A = xlsread(file,i);
    
    for k = 1:length(phase1)
        for j = 1:length(A(:,1))
           if A(j,1) == phase1(k)
               count1(k) = count1(k)+ A(j,2);
               noise1(k) = noise1(k)+ A(j,3);
               time1(k) = time1(k)+A(j,7);
           end
        end
    end
    
    for k = 1:length(phase2)
        for j = 1:length(A(:,4))
           if A(j,4) == phase2(k)
               count2(k) = count2(k)+ A(j,5);
               noise2(k) = noise2(k)+ A(j,6);
               time2(k) = time2(k)+A(j,7);
           end
        end
    end
end
%%
rate1 = count1.*1./time1;
rate1_err = sqrt(count1).*1./time1;
rate2 = count2.*1./time2;
rate2_err = sqrt(count2).*1./time2;
g21 = count1./(noise1/10); 
g22 = count2./(noise2/10); 
eg21 = g21.*sqrt(1./count1 + 1./noise1);
eg22 = g22.*sqrt(1./count2 + 1./noise2);

figure(1)
errorbar(phase1,g21,eg21,'b')
hold on
errorbar(phase2,g22,eg22,'r')

%%
% COINCIDENCE FIT
% fitting merged data
% Set up fittype and options.
ft = fittype( 'a*(1+b*sin(0.0175*(x+c+90)))', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares','Display','final','TolFun',1e-14 ,'MaxFunEval',10000,'MaxIter',100000,'TolX',1e-14);
% opts.Display = 'Off';
opts.StartPoint = [20 0.45 0];
opts.Lower = [0 0.1 -100];
opts.Upper = [100 1 100];
opts.Weights = 1./rate1_err.^2;

% Fit model to data.
[fitresultc1, gof] = fit( phase1, rate1, ft,opts );

coeffsc1 = coeffvalues(fitresultc1);
ercoeffsc1 = confint(fitresultc1,0.68);
Visibilityc1 = coeffsc1(2)
err1 = coeffsc1(2)- ercoeffsc1(3)

%%
ft = fittype( 'a*(1+b*sin(0.0175*(x+c)))', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares','Display','final','TolFun',1e-14 ,'MaxFunEval',10000,'MaxIter',100000,'TolX',1e-14);
% opts.Display = 'Off';
opts.StartPoint = [20 0.45 0];
opts.Lower = [0 0.1 -100];
opts.Upper = [100 1 100];
opts.Weights = 1./rate2_err.^2;

[fitresultc2, gofc] = fit( phase2, rate2, ft,opts );
coeffsc2 = coeffvalues(fitresultc2);
ercoeffsc2 = confint(fitresultc2,0.68);
Visibilityc2 = coeffsc2(2)
err2 = coeffsc2(2)- ercoeffsc2(3)


cHeader = {'PhaseStokes' 'Vis' 'errVis' 'fit param A' 'fit param C'}; %dummy header
textHeader = strjoin(cHeader, ',');

%write header to file
fid = fopen('coin_per_hour_fringes.csv','w'); 
fprintf(fid,'%s\n',textHeader);
fclose(fid);

data_out_fit = [0,Visibilityc1,err1,coeffsc1(1),coeffsc1(3);90,Visibilityc2,err2,coeffsc2(1),coeffsc2(3)];
%write data to end of file
dlmwrite('coin_per_hour_fringes.csv',data_out_fit,'-append');

%% Plot fit with data.
close all
ifig1 = figure(224);

% figure options:
    mks = 15; %marker size
    mlw = 3; %marker linewidth
    afs = 24; %label font size
    lfs = 26; %label font size
    lfn = 'Times New Roman'; %axis fontname
    alw = 1.5; %axis linewidth
    tickl=[0.015 0.015];; %ticks linewidth
    lw = 3; %fit linewidth
    x_fit = [-300:0.1:300]; %x-axis interval for the plot of the fit
    x_lim = [-200 300];
    y_lim = [0 44];
    p1_color = [66,134,244]/255;
    p2_color = [195 48 4]/255;
    fig_size = [50 50 600 600];

% SAVE = true; 
set(ifig1,'Units', 'pixel','Position', fig_size);
axes('Position',[0 0 1 1],'Visible','off');
ax1 = axes('Color','w',...
          'FontSize', afs,'fontname',lfn, 'LineWidth', alw,...
          'TickLength',tickl,...
          'XMinorTick','on',...
          'NextPlot','add');
hold on; 
box on;

h1=plot(x_fit, fitresultc1(x_fit),'-','color',p1_color);
set(h1,'LineWidth',lw)

hold on
h2=plot(x_fit,fitresultc2(x_fit));
set(h2,'LineWidth',lw,'color',p2_color)

hold on
h11 = errorbar(phase1,rate1,rate1_err,'o','displayname','\Phi_s=0');
set(h11, 'markerfacecolor','w',...
    'MarkerSize',mks,'color',p1_color,'linewidth',mlw)

xlabel('\Phi_{AS} ()','fontsize',lfs, 'fontname', lfn)
ylabel('C_{S,AS}/h','fontsize',lfs, 'fontname', lfn)
hold on
h21 = errorbar(phase2,rate2,rate2_err,'s','displayname','\Phi_s=90');
set(h21, 'markerfacecolor','w',...
    'MarkerSize',mks,'color',p2_color,'linewidth',mlw)
xlim(x_lim)
ylim(y_lim)
set(gcf,'color','white')
l1 = legend([h11 h21]);
set(l1,'orientation','horizontal','location','best')
if SAVE_coincidence_fringes_pic
    ssfig('/coin_per_hour_fringes')
end
%%
% ==================================================================================
% G2 FIT
% fitting merged data
% Set up fittype and options.
ft = fittype( 'a*(1+b*sin(0.0175*(x+c+90)))', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares','Display','final','TolFun',1e-14 ,'MaxFunEval',10000,'MaxIter',100000,'TolX',1e-14);
% opts.Display = 'Off';
opts.StartPoint = [20 0.45 0];
opts.Lower = [0 0.1 -10];
opts.Upper = [100 1 10];
opts.Weights = 1./eg21.^2;

% Fit model to data.
[fitresultc1, gof] = fit( phase1, g21, ft,opts );

coeffsc1 = coeffvalues(fitresultc1);
ercoeffsc1 = confint(fitresultc1,0.68);
Visibilityc1 = coeffsc1(2)
err1 = coeffsc1(2)- ercoeffsc1(3)

%%
ft = fittype( 'a*(1+b*sin(0.0175*(x+c)))', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares','Display','final','TolFun',1e-14 ,'MaxFunEval',10000,'MaxIter',100000,'TolX',1e-14);
% opts.Display = 'Off';
opts.StartPoint = [20 0.45 0];
opts.Lower = [0 0.1 -10];
opts.Upper = [100 1 10];
opts.Weights = 1./eg22.^2;

[fitresultc2, gofc] = fit( phase2, g22, ft,opts );
coeffsc2 = coeffvalues(fitresultc2);
ercoeffsc2 = confint(fitresultc2,0.68);
Visibilityc2 = coeffsc2(2)
err2 = coeffsc2(2)- ercoeffsc2(3)

cHeader = {'PhaseStokes' 'Vis' 'errVis' 'fit param A' 'fit param C'}; %dummy header
textHeader = strjoin(cHeader, ',');

%write header to file
fid = fopen('g2_fringes.csv','w'); 
fprintf(fid,'%s\n',textHeader);
fclose(fid);

data_out_fit = [0,Visibilityc1,err1,coeffsc1(1),coeffsc1(3);90,Visibilityc2,err2,coeffsc2(1),coeffsc2(3)];
%write data to end of file
dlmwrite('g2_fringes.csv',data_out_fit,'-append');


%% Plot fit with data.
% clf;
ifig2 = figure (2246);

% figure options:
    mks = 15; %marker size
    mlw = 3; %marker linewidth
    afs = 24; %label font size
    lfs = 26; %label font size
    lfn = 'Times New Roman'; %axis fontname
    alw = 1.5; %axis linewidth
    tickl=[0.015 0.015];%ticks linewidth
    lw = 3; %fit linewidth
    x_fit = [-300:0.1:300]; %x-axis interval for the plot of the fit
    x_lim = [-200 300];
    y_lim = [0 11];
    p1_color = [66,134,244]/255;
    p2_color = [195 48 4]/255;
    fig_size = [50 50 600 600];

% SAVE = true; 
set(ifig2,'Units', 'pixel','Position', fig_size);
axes('Position',[0 0 1 1],'Visible','off');
ax1 = axes('Color','w',...
          'FontSize', afs,'fontname',lfn, 'LineWidth', alw,...
          'TickLength',tickl,...
          'XMinorTick','on',...
          'NextPlot','add');
hold on; 
box on;

h1=plot(x_fit, fitresultc1(x_fit),'-','color',p1_color);
set(h1,'LineWidth',lw)

hold on
h2=plot(x_fit,fitresultc2(x_fit));
set(h2,'LineWidth',lw,'color',p2_color)

phase1_CHSH = [-45,45,135,-135];
phase2_CHSH = [-45,45,135,-135];

h11 = errorbar(phase1,g21,eg21,'o','displayname','\Phi_s=0');
set(h11, 'markerfacecolor','w',...
    'MarkerSize',mks,'color',p1_color,'linewidth',mlw)

h21 = errorbar(phase2,g22,eg22,'s','displayname','\Phi_s=90');
set(h21, 'markerfacecolor','w',...
    'MarkerSize',mks,'color',p2_color,'linewidth',mlw)

h31 = errorbar(phase1(ismember(phase1,phase1_CHSH)), g21(ismember(phase1,phase1_CHSH)), eg21(ismember(phase1,phase1_CHSH)),...
    'o','displayname','\Phi_s=0');
set(h31, 'markerfacecolor',p1_color,...
    'MarkerSize',mks,'color',p1_color,'linewidth',mlw)

h41 = errorbar(phase2(ismember(phase2,phase2_CHSH)),g22(ismember(phase2,phase2_CHSH)),eg22(ismember(phase2,phase2_CHSH)),...
's','displayname','\Phi_s=90');
set(h41, 'markerfacecolor',p2_color,...
    'MarkerSize',mks,'color',p2_color,'linewidth',mlw)

circles_phase = [0 180]
circles_g2 = g21(ismember(phase1,circles_phase))
h51 = plot(circles_phase,circles_g2,'o','markerfacecolor','none','markersize',35,'color','k','linewidth',mlw)

xlim(x_lim)
ylim(y_lim)
set(gcf,'color','white')
l1 = legend([h11 h21]);
set(l1,'orientation','horizontal','location','best')

xlabel('\Phi_{AS} ()','fontsize',lfs, 'fontname', lfn)
ylabel('g^{(2)}_{S,AS}','fontsize',lfs, 'fontname', lfn)

if SAVE_g2_fringes_pic
    ssfig('/g2_fringes')
end
% xlim([-200 300])

% % errorbar(phase1,g21,eg21,'.','MarkerSize',40)
% errorbar(phase2,g22,eg22,'g.','MarkerSize',40)

% set(legend,'visible','off')
% str = {sprintf('V = %0.3f � %0.3f %%',Visibilityc1*100,err1*100)}
% annotation('textbox',[0.32 0.6 0.3 0.3],'String',str,'color','r','fontsize',20,'FitBoxToText','on');
% subplot(1,2,2)
% set(gca,'fontsize',24,'fontname','times')

% h2=plot( fitresultc2, phase2, g22);
% set(h2,'LineWidth',4,'color','k')
% xlabel('Phase (\circ)','fontsize',26, 'fontname', 'times')
% ylabel('g_{2}(0)','fontsize',26, 'fontname', 'times')
% xlim([-200 300])
% hold on

% set(legend,'visible','off')
% str = {sprintf('V = %0.3f � %0.3f %%',Visibilityc2*100,err2*100)}
% annotation('textbox',[0.32 0.5 0.3 0.3],'String',str,'color','k','fontsize',20,'FitBoxToText','on');
%%
end
function ssfig(X)
set(gcf,'color','w')
ff = pwd;
cd export_fig
export_fig([ff X],'-png','-painters','-r600','-a4'); 
cd ..
end